net.corda.core.contracts

## Enum DayCountBasisYear

-     public enum DayCountBasisYear

  This forms the year part of the "Day Count Basis" used for interest calculation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Y252`
    `Y360`
    `Y365`
    `Y365B`
    `Y365F`
    `Y365L`
    `Y365Q`
    `Y366`
    `YActual`
    `YActualA`
    `YICMA`
    `YISMA`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

- - ### Enum Constant Detail

    - #### Y360

          public static DayCountBasisYear Y360

    - #### Y365F

          public static DayCountBasisYear Y365F

    - #### Y365L

          public static DayCountBasisYear Y365L

    - #### Y365Q

          public static DayCountBasisYear Y365Q

    - #### Y366

          public static DayCountBasisYear Y366

    - #### YActual

          public static DayCountBasisYear YActual

    - #### YActualA

          public static DayCountBasisYear YActualA

    - #### Y365B

          public static DayCountBasisYear Y365B

    - #### Y365

          public static DayCountBasisYear Y365

    - #### YISMA

          public static DayCountBasisYear YISMA

    - #### YICMA

          public static DayCountBasisYear YICMA

    - #### Y252

          public static DayCountBasisYear Y252

  - ### Method Detail

    - #### toString

          public java.lang.String toString()